//
// sassify for node
//
var sass = require('node-sass');
var fs = require('fs');
var scssExt = '.scss';

if (require.extensions[scssExt]) {
    return;
}

require.extensions[scssExt] = scss;

function scss(module, filename) {
    var contents = fs.readFileSync(filename, 'utf8');
    module.exports = sass.renderSync({
        data: contents
    });
}

module.exports = scss;
